# slide-extractor
An easy tool to extract slides from presentations ( lectures 😉 )

<h3>Usage</h3>

`slide-extractor -p <path> -s <number> -d <number>` <br>
or <br>
`slide-extractor -u <youtube url> -s <number> -d <number>`

<h5>Flags</h5>

- `-p or --path` : Provides the path for the video file <b>( * required)</b>
- `-u or --url`  : Specifies the url of youtube video you want to get the slides of (<strong>Note :</strong> Use either -p or -u. If both are given, -p will be preferred)
- `-c or --coor` : Specifies the coordinates you want to compare before capturing slides. (Useful when the speaker is also in the frame), See here for how to pass this parameter
- `-s or --skip` : Provides the skip seconds for the video.( Captures the video's frames at interval of specified value )
- `-d or --diff` : Specifies the difference level between current and previous slide ( a slide is included iff the difference is higher than the specified value)
- `-h or --help` : Help Menu

Try adjusting the `diff` value if you think all slides aren't being captured or too many slides are being captured.

Too Low `diff` value will make the extractor captures slides even with slight difference.

Too  High `diff` value might make the extractor skip certain slides.

## How to pass `-c` or `--coor`

Imagine this situation where you want to compare only the area (x1,y1),(x2,y2) pass it as `-c [[x1,y1],[x2,y2]]`. <br>You will also be shown a sample image which is being considered for the evaluation. Use it as a reference o decide the coordinates.
```
(0,0)
-------------------------------------------
|                                         | 
|    (x1, y1)                             |
|      ------------------------           |
|      |                      |           |
|      |                      |           | 
|      |         ROI          |           |  
|      |                      |           |   
|      |                      |           |   
|      |                      |           |       
|      ------------------------           |   
|                           (x2, y2)      |    
|                                         |             
|                                         |             
|                                         |             
-------------------------------------------(frame max width,frame max height)```
